Bug 135526 - EDITING - Unable to change height or Y position of objects in Base reports
Summary: EDITING - Unable to change height or Y position of objects in Base reports
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-07 10:20 UTC by Gr
Modified: 2020-08-31 09:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gr 2020-08-07 10:20:53 UTC
Description:
LibreOffice 7.0.0.3
Base program
Report design - once a report is created using the wizard, the field sizes cannot be changed by adjusting dimension measurements in the properties option. Fields are set at 0.001cm high??? Other default measurement settings for wizard created fields are inaccurate

Steps to Reproduce:
1.Create a report using the wizard.
2.Edit the report
3.Attempt to adjust a field size changing dimension measurements using the properties box

Actual Results:
No change in data field size. Error message. Height of field set at 0.001cms


Expected Results:
Data fields should be shrunk or enlarged according to new dimension measurement



Reproducible: Always


User Profile Reset: No



Additional Info:
N/a
Comment 1 Alex Thurgood 2020-08-07 12:38:41 UTC
@Gr : does this only occur when you use the wizard, or does it also occur when you design a report manually ?
Comment 2 Alex Thurgood 2020-08-07 12:48:29 UTC
Partial repro with

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
Threads CPU : 8; OS : Mac OS X 10.15.5; UI Render : par défaut; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded

using an embedded hsqldb ODB file and a report created by the wizard.

I can change the width, providing I do not overlap with another object.

However, I can not change the height, nor can I change the Y position.

Confirming
Comment 3 Robert Großkopf 2020-08-07 14:20:45 UTC
The height couldn't be changed by the dialog for the properties. Always shows 0,00 cm here. But I could change it by mouse.

This is a regression from LO 6.4 to LO 7.0.

All tested with OpenSUSE 64bit rpm Linux, LO 6.4.5.2 (works) and LO 7.0.0.3 (fails)
Comment 4 Xisco Faulí 2020-08-13 16:01:52 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1efeb17837c22499f00299c033ae59ba3910f7d7

author	Caolán McNamara <caolanm@redhat.com>	2019-11-04 13:06:04 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-09 13:28:35 +0100
commit	1efeb17837c22499f00299c033ae59ba3910f7d7 (patch)
tree	a8db0b758e942b3b14fba26129dc51a95ff5c10c
parent	4da3e0a0e5b2260c26186890724978bfd00f796c (diff)
weld Property Browser

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 5 Caolán McNamara 2020-08-13 19:05:55 UTC
presumably something like no min/max is set which should result in any value being possible but is instead interpreted as a min/max of 0
Comment 6 Commit Notification 2020-08-14 13:29:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97e49876086bbdcb58ae0c22d9145c453f239468

tdf#135526 ranges overflowing to become negative

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-08-14 14:33:09 UTC
works in master again, backport to 7-0 in gerrit
Comment 8 Commit Notification 2020-08-15 05:38:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4acf7b7b03ed62cbea2b738c9dcfe3a8bdb36288

tdf#135526 ranges overflowing to become negative

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-17 12:51:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-1":

https://git.libreoffice.org/core/commit/692b2779c2c927079e656a9fc398d28cc2b08049

tdf#135526 ranges overflowing to become negative

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-08-31 09:32:42 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!